"""LICENSE
Copyright 2017 Hermann Krumrey <hermann@krumreyh.com>

This file is part of bundesliga-tippspiel.

bundesliga-tippspiel is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

bundesliga-tippspiel is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with bundesliga-tippspiel.  If not, see <http://www.gnu.org/licenses/>.
LICENSE"""

# imports
import os
from setuptools import setup, find_packages
from subprocess import Popen, DEVNULL


if __name__ == "__main__":

    target_css = "bundesliga_tippspiel/static/scss/style.css"
    Popen(["sass", "--update", "--force", "--style", "compressed",
           "bundesliga_tippspiel/static/scss/style.scss",
           "bundesliga_tippspiel/static/scss"], stdout=DEVNULL).wait()

    setup(
        name="bundesliga-tippspiel",
        version=open("version", "r").read(),
        description="A Bundesliga Tippspiel Website",
        long_description=open("README.md", "r").read(),
        long_description_content_type="text/markdown",
        classifiers=[
            "License :: OSI Approved :: GNU General Public License v3 (GPLv3)"
        ],
        url="https://gitlab.namibsun.net/namibsun/python/bundesliga-tippspiel",
        author="Hermann Krumrey",
        author_email="hermann@krumreyh.com",
        license="GNU GPL3",
        packages=find_packages(),
        scripts=list(map(lambda x: os.path.join("bin", x), os.listdir("bin"))),
        install_requires=[
            "flask",
            "flask_login",
            "flask_sqlalchemy",
            "requests",
            "blinker",
            "sentry-sdk",
            "sqlalchemy",
            "werkzeug",
            "cherrypy",
            "puffotter[flask,crypto]",
            "beautifulsoup4"
        ],
        include_package_data=True,
        zip_safe=False
    )
